/**
 * Instrumentation Vuze Plugin
 * 
 * Copyright 2008, Yale Laboratory of Networked Systems
 */

package net.yale.cs.p4p.p2p.azureus.log.records;

import net.yale.cs.p4p.p2p.azureus.log.XFerLogPlugin;
import net.yale.cs.p4p.p2p.logs.DownloadLogProcessor;

public abstract class PluginDownloadLogProcessor extends DownloadLogProcessor {

	private XFerLogPlugin plugin_;
	protected XFerLogPlugin getPlugin() { return plugin_; }

	public PluginDownloadLogProcessor(XFerLogPlugin plugin, PluginDownloadLogProcessor next, int interval) {
		super(next, interval);
		plugin_ = plugin;
	}

}
